Subject: RE: [rohc] Summary: draft-saifullah-rohc-tcp-early-comp*-00.txt

From: [email-masked]
Date: Mon, 11 Nov 2002 16:28:56 -0600

Hi,

I agree with Yousuf it would be better if we work on context
replication and early compression simultaneously. By simultaneously,
I don't mean running things in parallel. Instead, we work together
(especially on packet format) with considerations of both from
the beginning. That seems a reasonable engineering approach to speed 
up the work.

I saw Yousuf already gave some technical arguments for the "simultaneous"
approach in a separate email. Are there particular reasons that 
make one believe the approach will slow down the work instead?

BR,
Zhigang

> -----Original Message-----
> From: ext [email-masked] 
> [mailto:[email-masked]]
> Sent: November 11, 2002 8:33 AM
> To: [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> Subject: RE: [rohc] Summary: 
> draft-saifullah-rohc-tcp-early-comp*-00.txt
> 
> 
> Hi Lars-Erik, Qian, Ghyslain, Richard, and others,
> 
> Please consicder that postponing early compression after 
> defining the inner workings of context replication is only 
> going to slow down the ROHC-TCP  work unnecessarily. We know 
> that we have to define ROHC-TCP for context replication and 
> early compression, we also agree that the modifications will 
> be very similiar if not same, then considering them 
> simultaneously is a better approach. What do you think?
> 
> Cheers,
> Yousuf
>  
> 
> -----Original Message-----
> From: ext Lars-Erik Jonsson (EAB)
> [mailto:[email-masked]]
> Sent: 11 November, 2002 2:10 AM
> To: Saifullah Yousuf (NRC/Dallas)
> Subject: RE: [rohc] Summary: 
> draft-saifullah-rohc-tcp-early-comp*-00.txt
> 
> 
> Yousuf,
> 
> We have a strong rough consensus on the list for how to go further
> with this work, i.e. to continue with ROHC-TCP, define the inner
> workings of context replication, and then consider how out-of-band
> mechanisms can re-use (potentially with some adjustments) the
> in-band context replication mechanism for referring pre-populated 
> context data.
> 
> This is the way that has been envisioned and supported by Qian,
> Ghyslain and Richard, and is also what me and Carsten think is
> the proper way. We will address this issue, but not before we have
> settled the details of the context replication mechanism. 
> 
> BR
> /L-E
> 
> 
> _______________________________________________
> Rohc mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/rohc
> 
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Ghyslain Pelletier <[email-masked]>
Date: Tue, 12 Nov 2002 11:51:57 +0100

Zhigang, Yousuf,

I think it is important at this point to keep in mind the differences
between agreeing on "general principles to follow" and discussing
"specific solutions". 

Once more, to ensure that there is no misunderstanding, the "Early
Compression" drafts are basically proposing to consider the following
principle:

A) Defining a ROHC-TCP profile that can reuse information
  ("Early Fields") that has been previously exchanged out-of-band
  ("Early Compression Mechanism") by providing a mechanism that
  carries in-band ("Early Compression Enabler") a reference
  ("Option Specific Information") to this external information.

My understanding of the WG rough consensus is basically that the
following approach has been chosen and agreed:

B) The WG will first define context replication;
C) Context replication is an in-band mechanism that creates a context
   based on another valid context;
D) Once Context Replication is defined, the WG will consider how
   out-of-band mechanisms can re-use the in-band context replication
   mechanism for referring pre-populated context data.

Please note the difference in the approach between D) and the proposal
found in the draft, as in A). My understanding is that the WG believes
that the same objectives as A) should be possible to achieve by reusing
context replication and follow the principles of D).

I personnally believe that the correct approach is to go with B), C) and
D). This will likely generate a single solution that is defined purely
as an internal ROHC-TCP mechanism, while still allowing out-of-band
mechanisms the possibility to reuse the context replication function.
This is basically what I have written in previous mails [M1], and that
was emphasized again by Qian [M2].

Finally, let me summarize once more my understanding of the WG's rough
consensus, from Lars-Erik summary [M3]:

- The WG will proceed, at least in a first step, with only the
  definition of the context replication mechanism as in C);

- Once the context replication is defined and agreed by the WG,
  if the resulting mechanism does not make it possible fullfil D), and
  if this can be done with only small and justified modifications
  to the context replication mechanism, then the group may decide
  to proceed with those modifications.

In this respect, the WG is not "postponing" any work, but rather going
with the approach as stated in D), and that the fullfilment of the
objectives of A) should not entail more than a rather small extension of
the principles behind context replication. I believe proceeding in this
order will help streamline the work, and this way will effectively speed
up the ROHC-TCP work.

Hopefully, this clarifies the various positions expressed during this
discussion, which lead to the way forward as summarized by Lars-Erik in
[M3].

Best regards,

/Ghyslain

References:
-----------
[M1]:
http://www1.ietf.org/mail-archive/working-groups/rohc/current/msg00983.html
[M2]:
http://www1.ietf.org/mail-archive/working-groups/rohc/current/msg01003.html
[M3]:
http://www1.ietf.org/mail-archive/working-groups/rohc/current/msg01013.html

Ghyslain Pelletier
Wireless IP Optimizations
AWARE - Advanced Wireless Algorithm Research
Ericsson Research, Corporate Unit
Ericsson AB
Luleå, Sweden